# OpenML dataset: sponge

https://www.openml.org/d/345

**WARNING: This dataset is archived. Use [meta](https://gitlab.com/data/meta) to discuss it.**

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Iosune Uriz and Marta Domingo. Donated by Javier Bejar and Ulises Cortes.  
**Source**: [UCI](https://archive.ics.uci.edu/ml/datasets/Sponge)   
**Please cite**: [UCI](https://archive.ics.uci.edu/ml/citation_policy.html)

**Marine Sponges**  
These are atlantic-mediterranean marine sponges that belong to 
O.Hadromerida (Demospongiae.Porifera).
 
### Attribute Information  
27 attributes are non-numeric and nominal.  
15 attributes are boolean and take the values (NO SI).  
3 attributes (7, 28, 37) are numeric and take natural numbers.  

```
1    A.CAPAS_DEL_CORTEX                       (1_CAPA 2_CAPAS 3_CAPAS SIN_CORTEX)
2    A.CAPA_INTERNA_DEL_CORTEX                (BANDAS_DE_ESPICULAS_CRUZADAS MICROSCLERAS PERPENDICULAR SIN_CAPA_INTERNA_DEL_CORTEX TANGENCIAL TANGENCIAL_Y_PERPENDICULAR)
3    A.CORTEX                                 (NO SI)
4    A.CORTEX_FIBROSO                         (NO SI SIN_CORTEX)
5    A.CORTEX_SOLO_DE_ESPICULAS_TANGENCIALES  (NO SI SIN_CORTEX)
6    A.CUERPOS_EXTRANOS_EN_EL_CORTEX          (NO SI SIN_CORTEX)
7    A.GROSOR_DEL_CORTEX                      (0 4)  
8    A.HACES_DE_ESPICULAS_PRINCIPALES_EN_POMPON_EN_EL_CORTEX     (NO SI)
9    A.TILOSTILOS_ADICIONALES_COANOSOMA       (ECTOSOMICOS_DISPERSOS ECTOSOMICOS_EN_RAMILLETES INTERMEDIARIOS INTERMEDIARIOS_Y_ECTOSOMICOS SIN_TILOSTILOS_ADICIONALES)
10    B.NUMERO_DE_TIPOS_DE_MEGASCLERAS         (1_TIPO 2_TIPOS 3_TIPOS)
11    C.TIPO_ESPICULA_PRINCIPAL_DIACTINA_TUBERCULADA              (NO SI) 
12    C.TIPO_ESPICULA_PRINCIPAL_ESTILO         (NO SI) 
13    C.TIPO_ESPICULA_PRINCIPAL_ESTILOS_2_TAMANOS                 (NO SI)
14    C.TIPO_ESPICULA_PRINCIPAL_ESTILO_TILOSTILO                  (NO SI)
15    C.TIPO_ESPICULA_PRINCIPAL_ESTRONGILOXA   (NO SI) 
16    C.TIPO_ESPICULA_PRINCIPAL_OXAS           (NO SI) 
17    C.TIPO_ESPICULA_PRINCIPAL_TILOSTILO      (NO SI) 
18    D.ESPICULA_PRINCIPAL_ESTILO              (FUSIFORME NORMAL POLITILOTA SIN_ESPICULA_PRINCIPAL_ESTILO)
19    D.ESPICULA_PRINCIPAL_TILOSTILO           (FLEXUOSA FUSIFORME NORMAL POLITILOTA SIN_ESPICULA_PRINCIPAL_TILOSTILO_)
20    D.FORMA_BASE_TILOSTILO_PRINCIPAL         (POMO SIN_TILOSTILOS SUBESFERICA_ALARGADA_OVOIDE TRILOBULADA)
21    E.DISPOSICION_MEGASCLERAS_ECTOSOMICAS_EN_EL_ECTOSOMA        (EMPALIZADA RAMILLETES SIN_MEGASCLERAS_ECTOSOMICAS TANGENCIALES)
22    E.FORMA_BASE_TILOSTILO_ECTOSOMICO        (SIN_TILOSTILO_ECTOSOMICO SUBESFERICA_ALARGADA_OVOIDE TRILOBULADA_CON_VESICULA_AXIAL)
23    E.FORMA_MEGASCLERA_ECTOSOMICA            (CURVADA RECTA_FUSIFORME RECTA_NO_FUSIFORME SIN_MEGASCLERA_ECTOSOMICA)
24    E.TIPO_MEGASCLERA_ECTOSOMICA             (ESTILO ESTILO_TILOSTILO OXAS_ESTRONGILOXAS SIN_MEGASCLERA_ECTOSOMICA TILOSTILO)
25    F.TIPO_DE_EXOSTILO                       (ANATRIENAS CLADOTILOSTILOS ESFEROTILOS SIN_EXOSTILOS TILOSTILOS_ESPINOSOS_EN_LA_PUNTA TILOSTILO_LISO)
26    G.FORMA_MEGASCLERA_INTERMEDIARIA         (FUSIFORME NORMAL POLITILOTA SIN_MEGASCLERA_INTERMEDIARIA)
27    G.TIPO_MEGASCLERA_INTERMEDIARIA          (ESTILO ESTILO_TILOSTILO SIN_MEGASCLERA_INTERMEDIARIA TILOSTILO)
28    H.LONGITUD_MEGASCLERAS                   (0 3) 
29    I.MICROSCLERAS                           (NO SI) 
30    I.TIPO_MICROSCLERA                       (ASTER MICROESTILOS_Y_MICROXAS MICROESTRONGILOS_CENTROTILOTES SIN_MICROSCLERAS TRICODRAGMA)
31    J.ASTER                                  (NO SI) 
32    J.DIAMETRO_ESFERASTER                    (|10_12| |20_25| |27_44| |40_110| |5_6_Y_15_35| SIN_ESFERASTER)
33    J.TIPO_DE_ASTER                          (ANFIASTER DIPLASTER ESFERASTER ESPIRASTER QUIASTER QUIASTER_Y_ESFERASTER SIN_ASTER)
34    J.TIPO_DE_DIPLASTER                      (CON_ACTINAS_COMPLEJAS CON_ACTINAS_SIMPLES SIN_DIPLASTERES)
35    J.TIPO_DE_ESFERASTER                     (OXIESFERASTER OXIESFERASTER_Y_TILOESFERASTER SIN_ESFERASTER)
36    K.FORMA_FINAL                            (DE_CONO_INVERTIDO DE_REVESTIMIENTO GLOBULOSA HEMISFERICA INCRUSTANTE MASIVO_IRREGULAR MAZAS_PEDUNCULADAS_1/PEDUNCULO MAZAS_PEDUNCULADAS_VARIAS/PEDUNCULO RAMIFICADA)
37    L.NUMERO_DE_PAPILAS                      (0 4) 
38    L.PAPILAS                                (NO SI) 
39    M.COLOR                                  (AMARILLO_PALIDO AZUL_O_ANARANJADO_INTENSOS OTROS)
40    N.SUPERFICIE                             (ATERCIOPELADA CON_AREAS_POLIGONALES_ABULTADAS FRANJA_BASAL_DE_ESPICULAS_EN_FLECO HISPIDEZ_MAYOR_HACIA_LA_BASE LISA RUGOSA SOLO_PAPILAS_LISAS TOTALMENTE_HISPIDA)
41    O.DISPOSICION_ESPICULAR_ESQUELETO        (AXIAL CONFUSA HYMEDESMOIDE PLUMOSA RADIAL RADIAL_EN_PERIFERIA REDUCIDO)
42    P.ALOJA_CANGREJO_ERMITANO                (NO SI) 
43    P.PERFORANTE                             (NO SI) 
44    P.PSEUDORAICES                           (NO SI) 
45    P.SUSTRATO                               (AMBOS BLANDO DURO)
```

### Class Information  
These are the classes induced by our conceptual clustering algorithm:
``` 
-- Class 1:
 - Objects (6 sponges):
      TYLEXOCLADUS_JOUBINI TRACHYTELEIA_STEPHENSI TENTORIUM_SEMISUBERITES 
      TENTORIUM_PAPILLATUS SUBERITES_CAMINATUS SPINULARIA_SPINULARIA AAPTOS_AAPTOS 

-- Class 2:
 - Objects (10 sponges):
      SPIRASTRELLA_MINAX SPIRASTRELLA_CUNCTATRIX LAXOSUBERITES_ECTYONIMUS 
      DIPLASTRELLA_ORNATA DIPLASTRELLA_BISTELLATA CLIONA_SCHMIDTI 
      CLIONA_LABYRINTHICA CLIONA_CELATA CLIONA_CARTERI ALECTONA_MILLARI

-- Class 3:
  - Objects (1 sponges):
      CLIONA_VIRIDIS

-- Class 4:
  - Objects (16 sponges):
      TERPIOS_FUGAX SUBERITES_GIBBOSICEPS SUBERITES_CARNOSUS_V.TYPICUS 
      SUBERITES_CARNOSUS_V.RAMOSUS SUBERITES_CARNOSUS_V.INCRUSTANS RHIZAXINELLA_UNISETA 
      RHIZAXINELLA_PYRIFERA RHIZAXINELLA_ELONGATA RHIZAXINELLA_BISETA 
      PSEUDOSUBERITES_SULFUREUS PSEUDOSUBERITES_HYALINUS PROSUBERITES_RUGOSUS 
      PROSUBERITES_LONGISPINA PROSUBERITES_EPIPHYTUM LAXOSUBERITES_RUGOSUS 
      LAXOSUBERITES_FERRERHERNANDEZI 

-- Class 5:
 - Objects (2 sponges):
      STYLOCORDYLA_BOREALIS OXYCORDYLA_PELLITA 

-- Class 6:
 - Objects (16 sponges):
     SPHAEROTYLUS_CAPITATUS PROTELEIA_SOLLASI POLYMASTIA_UBERRIMA 
     POLYMASTIA_TENAX POLYMASTIA_SPINULA POLYMASTIA_ROBUSTA 
     POLYMASTIA_RADIOSA POLYMASTIA_POLYTYLOTA POLYMASTIA_MAMMILLARIS 
     POLYMASTIA_LITTORALIS POLYMASTIA_INVAGINATA POLYMASTIA_INFLATA 
     POLYMASTIA_HIRSUTA POLYMASTIA_CORTICATA POLYMASTIA_CONIGERA 
     POLYMASTIA_AGGLUTINARIS 
 
-- Class 7:
 - Objects (7 sponges):
     SPHAEROTYLUS_ANTARCTICUS POLYMASTIA_TISSIERI POLYMASTIA_MARTAE 
     POLYMASTIA_INFRAPILOSA POLYMASTIA_GRIMALDI POLYMASTIA_FUSCA 
     POLYMASTIA_ECTOFIBROSA

-- Class 8:
 - Objects (6 sponges):
     WEBERELLA_VERRUCOSA WEBERELLA_BURSA RIDLEYA_OVIFORMIS 
     QUASILINA_RICHARDII QUASILINA_INTERMEDIA QUASILINA_BREVIS  

-- Class 9:
 - Objects (2 sponges):
     SUBERITES_FICUS SUBERITES_DOMUNCULA 
 
-- Class 10:
 - Objects (2 sponges):
      TETHYA_CITRINA TETHYA_AURANTIUM 

-- Class 11:
 - Objects (5 sponges):
     TIMEA_UNISTELLATA TIMEA_STELLATA TIMEA_MIXTA 
     TIMEA_HALLEZI TIMEA_CHONDRILLOIDES 

-- Class 12:
 - Objects (2 sponges):
      TRICHOSTEMA_SARSI TRICHOSTEMA_HEMISPHAERICUM 
```

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/345) of an [OpenML dataset](https://www.openml.org/d/345). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/345/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/345/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/345/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

